x2goserver (4.1.0.3-7+deb12u1) bookworm; urgency=medium

  * debian/patches:
    + Cherry-pick upstream fixes between 4.1.0.3 and 4.1.0.6, i.e. add patches
      0004 - 0010. (Closes: #1050213).
    + Add 1003_support-startkde-from-old-x2goclients.patch. Translate startkde
      command coming from old X2Go Clients to startplasma-x11.
  * debian/po/fi.po:
    + Convert from iso8859 encoding to utf8. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2023 08:40:44 +0200

x2goserver (4.1.0.3-7) unstable; urgency=medium

  * debian/x2goserver-*.postrm:
    + Ignore failures from deluser/delgroup. (Closes: #1034758).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 May 2023 16:25:39 +0200

x2goserver (4.1.0.3-6) unstable; urgency=medium

  * debian/po:
    + Add pt_BR.po. Thanks to Adriano Rafael Gomes. (Closes: #972453).
    + Add es.po. Thanks to Camaleón. (Closes: #987341).
    + Add tr.po. Thanks to Atila KOÇ. (Closes: #1032883).
  * debian/patches:
    + Add 0002-x2goserver-xsession-Port-OPTIONS-variable-and-has_op.patch. Make
      X2Go Server's Xsession startup process compatible with recent Xsession
      scripts. (Closes: #1033533).
  * debian/x2goserver-xsession.lintian-overrides:
    + Drop file. Only override 'package-contains-broken-symlink' not known
      anymore today and also nothing like it gets triggered in lintian.
  * debian/copyright:
    + Amend various inconsistencies. Thanks, lintian. Update copyright
      attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Mar 2023 23:19:51 +0200

x2goserver (4.1.0.3-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/po:
    + Update Danish debconf translations. Thanks to Joe Dalton. (Closes:
      #923074).
    + Update French debconf translations. Thanks to Grégoire Scano.
      (Closes: #930954).
    + Fix Portuguese translation file causing syntax errors.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "binary-targets".
    + Bump to DH compat level version 12.
    + Turn into arch:all bin:pkgs: x2goserver-common, x2goserver-
      desktopsharing.
    + Add Pre-D (x2goserver) field, making sure DH misc:Pre-Depends pkgs get
      added automatically.
  * debian/patches:
    + Add patch header to 1002_cross.patch.
  * debian/*.maintscript:
    + Migrate dpkg-maintscript-helper calls to *.maintscript config files.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #944088)
    + Force a makefile build system as the configure step doesn't record
      cross compilers.
    + 1002_cross.patch: Don't rebuild libx2go-server-db-perl during make
      install.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 20:37:58 +0100

x2goserver (4.1.0.3-4) unstable; urgency=medium

  * debian/po:
    + Add Czech translation. Thanks to Tom Ruzicka from X2Go.
    + Update Portuguese debconf translation. Thanks to Américo Monteiro.
      (Closes: #919165).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Mar 2019 23:02:58 +0100

x2goserver (4.1.0.3-3) unstable; urgency=medium

  * debian/po:
    + Update Dutch debconf translation. Thanks to Frans Spiesschaert. (Closes:
      #918256).
    + Update German debconf translation. Thanks to Chris Leick. (Closes:
      #916045).
  * debian/control:
    + Bump Standards-Version: to.4.3.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Jan 2019 21:30:04 +0100

x2goserver (4.1.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-x2goversion-Fix-situations-where-compfile-contains-a.patch.
      Cherry-pick fix for broken x2goversion script from upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Dec 2018 11:58:45 +0100

x2goserver (4.1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1001_fix-desktopsharing-version.patch. Fix version number in
      VERSION.x2goserver-desktopsharing.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/*:
    + Use https:// URLs at more places.
  * debian/control (et al.):
    + Add new bin:pkg x2goserver-desktopsharing.
  * debian/libx2go-server-db-perl.postrm:
    + More meticulous package purging.
  * debian/*.<scripts>:
    + Various formatting changes picked from upstream DEB packaging.
  * debian/control:
    + Bump versioned D (x2goserver-x2goagent) on nxagent to (>= 2:3.5.99.17~).
      (Closes: #906795).
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/{compat,control}:
    + Drop compat file, use new DH compat declaration via B-D on
      debhelper-compat in the control file.
  * debian/rules:
    + Drop the attempt of using --with-systemd. It fails since DH compat level
      11 and we only use 11 for the official Debian packages.
  * debian/{x2goserver-x2goagent.*,rules}:
    + Drop /etc/x2go/x2goagent.keyboard. Not required anymore with nxagent
      (>= 2:3.5.99.17~).
  * lintian workaround:
    + Obviously, single quotes are not well supported in lintian checks, so we
      undo some of our over-quoting to make lintian happy.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Nov 2018 10:53:35 +0100

x2goserver (4.1.0.2-3) unstable; urgency=medium

  * debian/po/nl.po:
    + Add Dutch debconf translation. Thanks to  Frans Spiesschaert. (Closes:
      #906942).
    + Add Portuguese translation. Thanks to Américo Monteiro. (Closes: #910403).
    + Add Russian translation. Thanks to Lev Lamberov. (Closes: #910851).
  * debian/libx2go-server-db-perl.postrm:
    + Add file. Remove pgadmin and mysqladmin on package purgal. (Closes:
      #909921).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Oct 2018 11:39:19 +0100

x2goserver (4.1.0.2-2) unstable; urgency=medium

  * debian/control:
    + ML change for Maintainer: team: debian-remote@lists.debian.org.
  * debian/po:
    + Add French translation. Thanks to Jean-Pierre Giraud. (Closes: #905931).
  * debian/x2goserver-xsession.<scripts>:
    + Add dir_to_symlink for /etc/x2go/Xsession.d. Some old upstream packaged
      x2goserver-xsession versions had that as a directory. We want it being a
      symlink to /etc/X11/Xsession.d these days.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 19:04:17 +0200

x2goserver (4.1.0.2-1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * debian/control:
    + Add build dependency on x11-common for /etc/X11/Xsession* to be available
      in the build environment and the symlinks to be created correctly.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Regenerate auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/*.<script>
    +  Sync in from upstream .deb packaging after thoroughful review. This
       should also ease the upgrade path from upstream .deb packages to
       Debian packages.
    + Adapt over-quoted scripts so that lintian does not complain with
      false-positives.
    + Avoid recursive chown/chmod. Thanks lintian.
  * debian/x2goserver-common.install:
    + Slight path fix adopted from upstream packaging.
  * debian/*.dirs:
     + Drop unrequired .dirs debhelper files.
  * debian/x2goserver-printing.dirs:
     + Spool dir has been moved from /var/lib/x2goprint to /var/spool/x2goprint.
  * debian/rules:
     + Drop some pre-dh_install hacks not required anymore since this upstream
       release.
  * debian/control:
    + White-space / indentation / capitalization adaptations in
      LONG_DESCRIPTIONs.
    + Adapt some package relations from upstream packaging in order to make the
      upgrade path from upstream .deb packages to Debian packages more smooth.
    + Fix Vcs-*: URLs to calm lintian.
    + Move xfonts-base back from D to R. Thanks lintian.
  * debian/x2goserver-x2goagent.install:
    + Adapt to new XPM icon name.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 15:39:50 +0200

x2goserver (4.1.0.0-5) unstable; urgency=medium

  * debian/libx2go-server-db-perl.postrm:
    + Don't remove files when purging that actually belong to x2goserver-common.
      (Closes: #904519).
    + Drop file entirely.
  * debian/x2goserver.postinst:
    + When testing for existence of /etc/x2go/applications, also consider it
      being a dangling symlink (dangling symlinks are not caught by 'test -e',
      but need a 'test -L'. Thanks to Andreas Beckmann for helping with this.
      (Closes: #904515).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jul 2018 14:36:16 +0200

x2goserver (4.1.0.0-4) unstable; urgency=medium

  * debian/control:
    + Multiarch hinter script recommends annotating perl dependency with :any.
    + Move X2Go::Config into new bin:pkg to avoid circular dependency. Let all
      libx2go-*-perl bin:pkgs correctly depend on this new libx2go-config-perl
      bin:pkg. (Closes: #896504).
    + Move X2Go::Utils into its own bin:pkg to avoid circular dependencies. Let
      all other libx2go-*-perl bin:pkgs correctly depend on this new
      libx2go-utils-perl bin:pkg. (Closes: #896503).
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Let Vcs-*: fields point to salsa.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 10:08:54 +0200

x2goserver (4.1.0.0-3) unstable; urgency=medium

  * debian/rules:
    + Ignore chmod failures when adapting x-bits in /usr/lib/x2go/*. Fixes FTBFS
      for binary-all build target. (Closes: #891296).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Feb 2018 14:41:16 +0100

x2goserver (4.1.0.0-2) unstable; urgency=medium

  * Making piuparts happy... (hopefully!).

  * debian/x2goserver-common.dirs:
    + Make sure /var/lib/x2go is part of the package. (Closes: #891276).
  * debian/x2goserver.dirs:
    + Drop file, don't artificially let x2goserver own directories.
  * debian/x2goserver-printing.dirs:
    + Only list the spooldir.
  * debian/x2goserver-common.postrm:
    + Properly purge /etc/x2go and /var/lib/x2go.
  * debian/x2goserver.postrm:
    + Don't touch /etc/x2go, it is part of x2goserver-common since 4.1.0.0.
  * debian/libx2go-server-db-perl.postrm:
    + Only remove files this bin:pkg creates.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2018 02:57:51 +0100

x2goserver (4.1.0.0-1) unstable; urgency=medium

  * New upstream release. Upload to unstable.
  * debian/:
    + Adapt to major changes in X2Go Server 4.1.0.0 (compared to 4.0.1.x).
  * debian/patches:
    + Drop all patches, not required for 4.1.0.0 anymore.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + debian/control: Slightly reduced versioned D (x2goserver-x2goagent) on
      nxagent (>= 3.5.99.13~).
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/copyright:
    + Update copyright attributions.
    + Regenerate copyright.in reference template. It is flawed for 4.1.0.0.
      Fixes to license headers committed for 4.1.0.1 upstream.
  * debian/x2goserver.config:
    + Show 4.1.0.0 warning when upgrading x2goserver bin:pkg.
  * debian/templates:
    + Add warning about changes in 4.1.0.0.
  * debian/po/:
    + Update de translation, add da, fi and tr translations.
  * debian/x2goserver.init:
    + Slight typo fix.
  * debian/x2goserver-printing.postinst:
    + Make sure /var/spool/x2goprint is always created.
  * debian/x2goserver-xsession.lintian-overrides:
    + Silent lintian about symlinks pointing to package files from X.org.
  * debian/x2goserver.service:
    + Support x2gocleansessions being started via systemd unit file.
  * debian/*: Process with wrap-and-sort -a -s -t -k -b.
  * debian/rules: Fine-tune upstream's install target.
    + Move tmpfiles.d/x2goserver.conf from /etc/ to /usr/lib/
    + Remove x2goagent's rgb files. Deprecated in nx-libs these days.
    + sshfs-x2go.xml MIME package file should not be executable.
  * debian/*.install:
    + Utilize upstream's install target rather than picking all files from the
      source tree all ourselves.
  * debian/*.manpages:
    + Most manpages files are obsolete now (except x2goserver.manpages which
      pulls in our version of x2gocleansession.8).
  * Drop inert file (due to wrong file suffix): debian/x2goserver.link.
  * debian/x2goserver-xsession.links:
    + Drop file. Symlinking provided by upstream's install target.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Feb 2018 23:09:40 +0100

x2goserver (4.0.1.22-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_dont-set-LD-LIBRARY-PATH-with-nx-36.patch. Applied upstream.
    + Drop 1002_backport-x2golistshadowsessions.patch. Accepted upstream.
    + Drop 1003_fix-implicit-decl-execv.patch. Accepted upstream.
    + Drop 1004_dbus-run-session-every-desktop-session.patch. Similar patch
      applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Use secure URL for obtaining upstream's orig tarball.
  * debian/control:
    + Update versioned dependency on nxagent and B:/R: relations to X2Go
      upstream packages, we want to remove when official Debian packages
      get installed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Dec 2017 22:54:33 +0100

x2goserver (4.0.1.20-13) experimental; urgency=medium

  * debian/patches:
    + Update 1004_dbus-run-session-every-desktop-session.patch. Of course,
      use dbus-run-session instead of dbus-launch. Thanks to feedback on
      #debian-systemd IRC from various people.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Oct 2017 08:53:23 +0200

x2goserver (4.0.1.20-12) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Sync with the
      upstream backport. Add missing function get_agent_state().

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 09:58:00 +0200

x2goserver (4.0.1.20-11) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Add missing function
      exports and missing helper function.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 01:42:28 +0200

x2goserver (4.0.1.20-10) experimental; urgency=medium

  * debian/patches:
    + Update 1002_backport-x2golistshadowsessions.patch. Add missing database
      function.
    + Add 1004_dbus-launch-every-desktop-session.patch. An X2Go Session really
      needs to be isolated from user DBus.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 01:10:58 +0200

x2goserver (4.0.1.20-9) experimental; urgency=medium

  * debian/control:
    + Avoid circular dependency between x2goserver and x2goserver-xsession.
      Thanks to Unit193 for pointing that out.
  * debian/x2goserver-x2goagent.install:
    + Include /etc files into bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Oct 2017 09:33:50 +0200

x2goserver (4.0.1.20-8) experimental; urgency=medium

  * debian/control:
    + Promote x2goserver-xsession to Depends:. Avoid unnecessary bug reports
      by demanding presence of X2Go's Xsession implementation.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Sep 2017 13:36:20 +0200

x2goserver (4.0.1.20-7) experimental; urgency=medium

  * debian/rules: Avoid FTBFS during arch:all,source builds.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Aug 2017 16:42:06 +0200

x2goserver (4.0.1.20-6) experimental; urgency=medium

  * debian/rules: Fix various flaws:
    (1) No build action in install-like target.
    (2) No duplicated override_dh_auto_install.
    (3) Set x2gofeature.d script permissions for x2goserver-x2goagent after
        dh_install execution.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Aug 2017 22:14:41 +0200

x2goserver (4.0.1.20-5) experimental; urgency=medium

  * debian/x2goserver-fmbindings.post*:
    + Drop postinst and postrm script for x2goserver-fmbindings. Only call in
      it to update-desktop-database is handled by a trigger in
      desktop-file-utils bin:package. (Closes: #859587).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2017 15:49:40 +0200

x2goserver (4.0.1.20-4) experimental; urgency=medium

  * debian/control:
    + Bump versioned D (x2goserver-x2goagent): nxagent (>= 2:3.5.99.5).
  * debian/x2goserver-x2goagent.*:
    + Drop /etc/x2go/rgb. Not required anymore with nxagent (>= 2:3.5.99.5).
  * debian/{control,x2goserver-fmbindings.postinst,x2goserver-fmbindings.postinst}:
    + Drop D (x2goserver-fmbindings): shared-mime-info. Drop calls to
      update-mime-database. Handled via triggers nowadays. (Closes: #859587).
  * debian/patches:
    + Update 1001_backport-x2goserver-x2goagent.patch. Drop
      x2goserver-x2goagent/etc/rgb. Update keystrokes.cfg from nx-libs 3.5.99.5.
  * debian/changelog:
    + Typo fix in previous stanza.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Apr 2017 13:04:05 +0200

x2goserver (4.0.1.20-3) experimental; urgency=medium

  * debian/rules:
    + Handle x2goserver-x2goagent.features file permissions in
      override_dh_auto_install (instead of dh_install). (Closes: #859709).
  * debian/control:
    + Add to D (x2goserver-fmbindings): shared-mime-info. (Closes: #859587).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Apr 2017 16:21:26 +0200

x2goserver (4.0.1.20-2) experimental; urgency=medium

  * debian/patches:
    + Add 0001_dont-set-LD-LIBRARY-PATH-with-nx-36.patch. Cherry-picked from
      upstream. Avoid X11 client crashes due to non-needed and flawed
      LD_LIBRARY_PATH inside X2Go sessions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Apr 2017 20:32:46 +0200

x2goserver (4.0.1.20-1) experimental; urgency=low

  * Initial release to Debian. (Closes: #465821).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 17 Jan 2017 10:00:39 +0100
